Name:       t1lib
Version:    5.1.1
Release:    1

Summary:   PostScript Type 1 font rasterizer

Group:     Applications/Publishing
License:   LGPL
URL:       ftp://sunsite.unc.edu/pub/Linux/libs/graphics
Source:    ftp://sunsite.unc.edu/pub/Linux/libs/graphics/t1lib-%{version}.tar.gz
# Patches taken from Debian and adapted for AIX
Patch0:    t1lib-5.1.1-manpages.patch
Patch1:    t1lib-5.1.1-xglyph-env.patch
Patch2:    t1lib-5.1.1-t1libconfig.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
T1lib is a rasterizer library for Adobe Type 1 Fonts. It supports
rotation and transformation, kerning underlining and antialiasing. It
does not depend on X11, but does provides some special functions for
X11.

AFM-files can be generated from Type 1 font files and font subsetting
is possible.

%package        devel
Summary:        Header files and static libraries for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains header files and static libraries for %{name}.


%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p0


%build
export CC=cc
export CFLAGS="-O2"
./configure --prefix=/opt/freeware --enable-shared --enable-static
make without_doc


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8/
install -p -m 644 debian/type1afm.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install -p -m 644 debian/xglyph.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install -p -m 644 debian/FontDataBase.5 $RPM_BUILD_ROOT%{_mandir}/man5/
install -p -m 644 debian/t1libconfig.8 $RPM_BUILD_ROOT%{_mandir}/man8/

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -p -m 755 debian/t1libconfig $RPM_BUILD_ROOT%{_sbindir}/

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/t1lib
install -p -m 644 examples/FontDataBase $RPM_BUILD_ROOT%{_sysconfdir}/t1lib/
install -p -m 644 lib/t1lib.config $RPM_BUILD_ROOT%{_sysconfdir}/t1lib/


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes LGPL LICENSE README.t1lib-5.1.1
%dir %{_sysconfdir}/t1lib
%config %{_sysconfdir}/t1lib/t1lib.config
%config %{_sysconfdir}/t1lib/FontDataBase
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*
%{_libdir}/*.a

%files devel
%defattr(-,root,root,-)
%doc doc/t1lib_doc.pdf
%{_includedir}/*
%{_libdir}/*.la


%changelog
* Tue Aug 14 2007 Michael Perzl <michael@perzl.org> - 5.1.1-1
- updated to 5.1.1

* Wed Jan 04 2006 Michael Perzl <michael@perzl.org> - 5.1.0-1
- first version for AIX V5.1 and higher

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 5.0.2-3
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Mar 11 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:5.0.2-0.fdr.1
- Updated to 5.0.2.

* Sat Feb  7 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:5.0.0-0.fdr.3
- Converted spec file to UTF-8.
- Synchronised patches with Debian (unstable) t1lib-5.0.0.

* Thu Nov 27 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:5.0.0-0.fdr.2
- Added URL (bug 880).
- Eliminated funny typo in configure script (bug 880).

* Sun Oct 26 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:5.0.0-0.fdr.1
- Initial RPM release.

